package de.andrena.objektforum.timeconcepts;

import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;

public class Util {
    public static String formatLocalDateTime(LocalDateTime localDateTime) {
        return DateTimeFormatter
            .ofPattern("yyyy-MM-dd HH:mm:ss")
            .format(localDateTime);
    }

    public static String formatInstant(Instant instant) {
        return DateTimeFormatter
            .ofPattern("yyyy-MM-dd HH:mm:ss")
            .withZone(ZoneId.of("UTC"))
            .format(instant)
            + " UTC [instant, " + instant.toEpochMilli() + "]";
    }
}
